import { Events } from './Events';
import StyleLoaderPlugin from './StyleLoaderPlugin';
declare module '@ima/core' {
    interface DispatcherEventsMap {
        [Events.LOADED]: {
            url: string;
            error?: Error;
        };
    }
}
declare const defaultDependencies: (string | typeof import("@ima/plugin-resource-loader").default)[];
export { StyleLoaderPlugin, Events, defaultDependencies };
